Package org.eclipse.cdt.core.settings.model.extension.impl

## Class UserAndDiscoveredEntryConfigurationDataProvider.LanguageData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CLanguageData
    - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData
      - - org.eclipse.cdt.core.settings.model.util.EntryStorageBasedLanguageData
        - - org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryLanguageData
          - - org.eclipse.cdt.core.settings.model.extension.impl.UserAndDiscoveredEntryConfigurationDataProvider.LanguageData

All Implemented Interfaces:
  `ICSettingBase`

Enclosing class:
  UserAndDiscoveredEntryConfigurationDataProvider

    protected class UserAndDiscoveredEntryConfigurationDataProvider.LanguageData
    extends UserAndDiscoveredEntryLanguageData

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryLanguageData

`UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage`

### Field Summary

### Fields inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`EMPTY_STRING_ARRAY, fId, fIsModified, fLanguageId, fName, fSourceContentTypeIds, fSourceExts, fStore, fSupportedKinds, OP_COPY, OP_SET`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`LanguageData()`
`LanguageData​(String id, String languageId, String[] ids, boolean isContentTypes)`
`LanguageData​(String id, String name, String languageId, int kinds, String[] ids, boolean isContentTypes)`
`LanguageData​(String id, CLanguageData base)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ICLanguageSettingEntry[]` `getAllDiscoveredEntries​(int kind)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryLanguageData

`canDisableDiscoveredEntries, copySettingsFrom, getDisabledSet, getDiscoveredEntries, getEntriesToCopy, getStorage, getUserEntries, removeInexistent, setDisabledDiscoveredNames, setDisabledSet, setUserEntries`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.EntryStorageBasedLanguageData

`createStore, getEntries, getEntriesFromStore, setEntries, setEntriesToStore`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`createStore, getId, getLanguageId, getName, getSourceContentTypeIds, getSourceExtensions, getSupportedEntryKinds, isModified, isValid, processStoredEntries, setLanguageId, setModified, setSourceContentTypeIds, setSourceExtensions`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CLanguageData

`containsDiscoveredScannerInfo, getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LanguageData

    public LanguageData()

#### LanguageData

    public LanguageData​(String id,
                        CLanguageData base)

#### LanguageData

    public LanguageData​(String id,
                        String languageId,
                        String[] ids,
                        boolean isContentTypes)

#### LanguageData

    public LanguageData​(String id,
                        String name,
                        String languageId,
                        int kinds,
                        String[] ids,
                        boolean isContentTypes)

### Method Detail

#### getAllDiscoveredEntries

    protected ICLanguageSettingEntry[] getAllDiscoveredEntries​(int kind)

Specified by:
  `getAllDiscoveredEntries` in class `UserAndDiscoveredEntryLanguageData`